Daemon Power

The NetBSD Packages Collection: news/newsx

Brief description of the package:
NNTP news exchange program

Please read the file "DESCR" for a longer description, or browse the package's history.

The package is located in the "news/newsx" directory. The current source version of the package is "newsx-1.6nb3". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for news/newsx :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: inn>=2.3.4 p5-MIME-tools-[0-9]* p5-IO-stringy-[0-9]* perl>=5.26.0 cwrappers>=20150314 perl<5.28.0 p5-MailTools-[0-9]* p5-TimeDate-[0-9]* p5-Net>=1.09 p5-Convert-BinHex-[0-9]* p5-Test-Most-[0-9]* p5-Exception-Class>=1.14 p5-Class-Data-Inheritable>=0.02 p5-Devel-StackTrace>=1.20 p5-Test-Deep>=0.119 p5-Test-Simple>=1.001010 p5-Test-Differences>=0.6400 p5-Text-Diff>=0.35 p5-Algorithm-Diff>=1.19 p5-Capture-Tiny-[0-9]* p5-Test-Pod-Coverage>=1.08 p5-Pod-Coverage-[0-9]* p5-Devel-Symdump>=2.01 p5-Test-Pod>=1.22 p5-Test-Exception>=0.43 p5-Sub-Uplevel>=0.18 p5-Test-Simple>=0.1.302047 p5-Test-Warn>=0.30 p5-Sub-Uplevel>=0.12 p5-Data-Dumper-Names>=0.03 p5-PadWalker>0.13 p5-Module-Build>=0.42050 p5-inc-latest-[0-9]* p5-CPAN-Meta>=2.142060 p5-Scalar-List-Utils>=1.33 p5-Text-Diff-[0-9]* p5-File-Slurp-[0-9]* p5-Test-Deep-[0-9]* p5-GD-[0-9]* gd>=2.0.28 perl>=5.0 fontconfig>=2.10.93 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 gperf-[0-9]* fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 giflib>=5.1.0 png>=1.2.4 tiff>=4.0.3nb5 png>=1.6.0nb1 fontconfig>=2.13.0 libwebp>=0.6.0 gd>=2.0.15nb1 gd>=2.2.5nb2 gnupg-[0-9]* readline>=2.2 readline>=6.0 .

This package requires the following package(s) to run: inn>=2.3.4 p5-MIME-tools-[0-9]* p5-IO-stringy-[0-9]* perl>=5.26.0 perl<5.28.0 p5-MailTools-[0-9]* p5-TimeDate-[0-9]* p5-Convert-BinHex-[0-9]* p5-GD-[0-9]* gd>=2.0.28 perl>=5.0 fontconfig>=2.10.93 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 giflib>=5.1.0 png>=1.2.4 tiff>=4.0.3nb5 png>=1.6.0nb1 fontconfig>=2.13.0 libwebp>=0.6.0 gd>=2.0.15nb1 gd>=2.2.5nb2 gnupg-[0-9]* readline>=2.2 readline>=6.0 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:newsx-1.6nb3.tgz(NetBSD 8.0)
arm:newsx-1.6nb3.tgz(NetBSD 6.1_STABLE)
earm:newsx-1.6nb3.tgz(NetBSD 7.0)
earm:newsx-1.6nb3.tgz(NetBSD 7.0)
earmv6hf:newsx-1.6nb3.tgz(NetBSD 7.0)
earmv6hf:newsx-1.6nb3.tgz(NetBSD 8.0)
earmv7hf:newsx-1.6nb3.tgz(NetBSD 7.0)
earmv7hf:newsx-1.6nb3.tgz(NetBSD 8.0)
i386:newsx-1.6nb3.tgz(NetBSD 6.0)
i386:newsx-1.6nb3.tgz(NetBSD 6.0)
i386:newsx-1.6nb3.tgz(NetBSD 6.0)
i386:newsx-1.6nb3.tgz(NetBSD 6.0)
i386:newsx-1.6nb3.tgz(NetBSD 6.0)
i386:newsx-1.6nb3.tgz(NetBSD 6.1)
i386:newsx-1.6nb3.tgz(NetBSD 6.1)
i386:newsx-1.6nb3.tgz(NetBSD 6.1)
i386:newsx-1.6nb3.tgz(NetBSD 6.1)
i386:newsx-1.6nb3.tgz(NetBSD 7.0)
i386:newsx-1.6nb3.tgz(NetBSD 7.0)
i386:newsx-1.6nb3.tgz(NetBSD 7.0)
i386:newsx-1.6nb3.tgz(NetBSD 7.0)
i386:newsx-1.6nb3.tgz(NetBSD 7.0)
i386:newsx-1.6nb3.tgz(NetBSD 7.0)
i386:newsx-1.6nb3.tgz(NetBSD 7.0)
i386:newsx-1.6nb3.tgz(NetBSD 7.1)
i386:newsx-1.6nb3.tgz(NetBSD 7.1)
i386:newsx-1.6nb3.tgz(NetBSD 8.0)
i386:newsx-1.6nb3.tgz(NetBSD 8.0)
powerpc:newsx-1.6nb3.tgz(NetBSD 6.1)
powerpc:newsx-1.6nb3.tgz(NetBSD 6.1)
powerpc:newsx-1.6nb3.tgz(NetBSD 7.1)
powerpc:newsx-1.6nb3.tgz(NetBSD 8.0)
x86_64:newsx-1.6nb3.tgz(NetBSD 6.0)
x86_64:newsx-1.6nb3.tgz(NetBSD 6.0)
x86_64:newsx-1.6nb3.tgz(NetBSD 6.1)
x86_64:newsx-1.6nb3.tgz(NetBSD 6.1)
x86_64:newsx-1.6nb3.tgz(NetBSD 7.0)
x86_64:newsx-1.6nb3.tgz(NetBSD 7.0)
x86_64:newsx-1.6nb3.tgz(NetBSD 7.0)
x86_64:newsx-1.6nb3.tgz(NetBSD 7.0.1_PATCH)
x86_64:newsx-1.6nb3.tgz(NetBSD 7.1)
x86_64:newsx-1.6nb3.tgz(NetBSD 7.1)
x86_64:newsx-1.6nb3.tgz(NetBSD 8.0)
x86_64:newsx-1.6nb3.tgz(NetBSD 8.99.1)
x86_64:newsx-1.6nb3.tgz(NetBSD 8.0)
x86_64:newsx-1.6nb3.tgz(NetBSD 8.0)
x86_64:newsx-1.6nb3.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]